<?php
	include 'PDF_plantilla.php';
	require 'conexion.php';
    
	$id = $_GET['id'];
    
    $query = "SELECT companies.popular_name, pedidos.aprovado_por, grade.*, pedidos.id, pedidos.modelo, pedidos.modelagem, pedidos.nr_company, pedidos.id_piloto, pedidos.revista, DATE_FORMAT(dtcadastro, '%d/%m/%Y') dtcadastro2, DATE_FORMAT(data_pre, '%d/%m/%Y') data_pre2, DATE_FORMAT(data_pedido, '%d/%m/%Y') data_pedido2, DATE_FORMAT(data_entrega, '%d/%m/%Y') data_entrega2, pedidos.nr_pedido, pedidos.referencia, pedidos.descricao, pedidos.descricao, pedidos.quantidade, pedidos.tecido, pedidos.dt_baixado, pedidos.obs AS obsPed, pedidos.ativo FROM grade RIGHT OUTER JOIN pedidos ON pedidos.id = grade.id_pedido LEFT JOIN companies on companies.id = pedidos.nr_company WHERE pedidos.id = '$id'  AND grade.dir = '1' ";
	$resultado = $mysqli->query($query);
    $row = $resultado->fetch_assoc();    

    $id = $row['id'];
    
	$popular_name = utf8_decode($row['popular_name']);
	$revista = utf8_decode($row['revista']);
	$dtcadastro = $row['dtcadastro2'];
	$data_pre = $row['data_pre2'];
	$data_pedido = $row['data_pedido2'];
	$data_entrega = $row['data_entrega2'];
	$nr_pedido = $row['nr_pedido'];
	$referencia = utf8_decode($row['referencia']);
	$modelo = utf8_decode($row['modelo']);
	$modelagem = utf8_decode($row['modelagem']);
	$descricao = utf8_decode($row['descricao']);
	$quantidade = $row['quantidade'];
	$tecido = utf8_decode($row['tecido']);
	$ativo = $row['ativo'];
	$aprovado_por = utf8_decode($row['aprovado_por']);	
    $obs = utf8_decode($row['obsPed']);
    
   	$pdf = new PDF();
	$pdf->AliasNbPages();
	$pdf->AddPage(); 
    
    //cabeçalho

    $pdf->SetFont('Arial','B',15);
    $pdf->Cell(30);
    $pdf->Cell(120,10,"PEDIDO",0,0,'C');
    $pdf->Ln(15);
            
    //cabeçalho da primeira linha
    $pdf->SetFont('arial','B',10);
    $pdf->Cell(8,6,"ID:",0,0,'L');
    $pdf->Cell(9, 6,$id,0);
    $pdf->Cell(18, 6, "CLIENTE: ",0,0,'R');  

    $pdf->SetFont('Arial','B',12);    
    $pdf->Cell(90, 6, $popular_name, 0);      
    $pdf->setFont('arial','',10);
    $pdf->Cell(50, 6, "CADASTRO PEDIDO",0,0,'R');  
    $pdf->setFont('arial','',10);
    $pdf->Cell(20, 6,$dtcadastro, 0);
    
    $pdf->Ln();
    
    //primeira linha
    $pdf->SetFont('arial','B',10);
    $pdf->Cell(29,6,utf8_decode("REFERÊNCIA : "),0,0,'L');
    $pdf->setFont('arial','',10);
    $pdf->Cell(69,6,$referencia,0);

    $pdf->Ln();
    
    $pdf->SetFont('arial','B',10);
    $pdf->Cell(29, 6, "MODELAGEM :",0,0,'R');
    $pdf->SetFont('arial','',10);    
    $pdf->Cell(69, 6, $modelagem, 0);

    $pdf->Ln();

    $pdf->SetFont('arial','B',10);
    $pdf->Cell(29, 6, utf8_decode("DESCRIÇÃO :"),0,0,'R');
    $pdf->SetFont('arial','',10);    
    $pdf->Cell(70, 6, $descricao, 0);      
    
    $pdf->Ln();

    $pdf->SetFont('arial','B',10);
    $pdf->Cell(29, 6, utf8_decode("TECIDO :"),0,0,'R');
    $pdf->SetFont('arial','',10);    
    $pdf->Cell(70, 6, $tecido, 0);                           

    $pdf->Ln();

    $pdf->SetFont('arial','B',10);
    $pdf->Cell(29, 6, utf8_decode("PREVISÃO :"),0,0,'R');
    $pdf->SetFont('arial','',10);    
    $pdf->Cell(20, 6, $data_pre, 0);

    $pdf->SetFont('arial','B',10);
    $pdf->Cell(23, 6, utf8_decode("PEDIDO: "),0,0,'R');
    $pdf->SetFont('arial','',10);    
    $pdf->Cell(20, 6, $data_pedido, 0);
    
    $pdf->SetFont('arial','B',10);
    $pdf->Cell(23, 6, utf8_decode("ENTREGA: "),0,0,'R');
    $pdf->SetFont('arial','',10);    
    $pdf->Cell(20, 6, $data_entrega, 0);

    //$pdf->SetFont('arial','B',10);
    //$pdf->Cell(35, 6, utf8_decode("APROVADO POR: "),0,0,'R');
    //$pdf->SetFont('arial','',10);    
    //$pdf->Cell(20, 6, $aprovado_por, 0);
    
    $pdf->Ln();
    
    $pdf->SetFont('arial','',8);
    $pdf->Cell(27,6,utf8_decode("OBSERVAÇÃO : "),0,0,'R');
    $pdf->MultiCell(170,6,$obs,0,2);
    
    $pdf->Ln();
    $pdf->Ln();
    
    $query = "SELECT companies.popular_name, grade.*, pedidos.id, pedidos.modelo, pedidos.modelagem, pedidos.nr_company, pedidos.id_piloto, pedidos.revista, pedidos.dtcadastro, pedidos.data_pre, pedidos.data_pedido,pedidos.data_entrega,pedidos.nr_pedido, pedidos.referencia, pedidos.descricao, pedidos.descricao, pedidos.quantidade, pedidos.tecido, pedidos.dt_baixado, pedidos.obs AS obsPed, pedidos.ativo FROM grade RIGHT OUTER JOIN pedidos ON pedidos.id = grade.id_pedido LEFT JOIN companies on companies.id = pedidos.nr_company WHERE pedidos.id = '$id'  AND grade.dir = '1'";
	$resultado2 = $mysqli->query($query);
    $row = $resultado->fetch_assoc();    

	while($row = $resultado2->fetch_assoc())
	{
        $pdf->SetFont('arial','B',10);
        $pdf->Cell(29,6,utf8_decode($row['titulo']),0,0,'L');
		$pdf->Cell(160,6,utf8_decode($row['obs_grade']),0,0,'R');
        
        $pdf->Ln();   
        $pdf->SetDrawColor(160,160,160);
        
        $pdf->SetFont('courier','B',12);        
		$pdf->Cell(17,8,"32",1,0,'C');
		$pdf->Cell(17,8,"34",1,0,'C');
		$pdf->Cell(17,8,"36",1,0,'C');
		$pdf->Cell(17,8,"38",1,0,'C');
		$pdf->Cell(17,8,"40",1,0,'C');
		$pdf->Cell(17,8,"42",1,0,'C');
		$pdf->Cell(17,8,"44",1,0,'C');
		$pdf->Cell(17,8,"46",1,0,'C');
		$pdf->Cell(17,8,"48",1,0,'C');
		$pdf->Cell(17,8,"50",1,0,'C');
		$pdf->Cell(17,8,"52",1,0,'C');

        $pdf->Ln();           
        $pdf->SetFont('courier','',12);        
        $pdf->Cell(17,8, $row['tda'],1,0,'C');                           
        $pdf->Cell(17,8, $row['tqa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['tsa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['toa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['qua'],1,0,'C');                           
        $pdf->Cell(17,8, $row['qda'],1,0,'C');                           
        $pdf->Cell(17,8, $row['qqa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['qsa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['qoa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['cia'],1,0,'C');                           
        $pdf->Cell(17,8, $row['cda'],1,0,'C');                           
        
        $pdf->Ln();           
        $pdf->Ln();           
        
	}

    // linha de totalização do Pedido
    $query = "SELECT SUM(tda) as stda, SUM(tqa) as stqa, SUM(tsa) as stsa, SUM(toa) as stoa, SUM(qua) as squa, SUM(qda) as sqda, SUM(qqa) as sqqa, SUM(qsa) as sqsa, SUM(qoa) as sqoa,SUM(cia) as scia,SUM(cda) as scda, (SUM(tda) + SUM(tqa) + SUM(tsa) + SUM(toa) + SUM(qua) + SUM(qda) + SUM(qqa) + SUM(qsa) + SUM(qoa) + SUM(cia) + SUM(cda) ) as subtotal FROM grade WHERE grade.id_pedido = '$id' AND grade.dir = '1'";
	$resultado3 = $mysqli->query($query);
    $row = $resultado->fetch_assoc();    

	while($row = $resultado3->fetch_assoc())
	{
        $pdf->SetFont('arial','B',12);
        $pdf->Cell(29,8,utf8_decode("Totalização"),0,0,'L');
        
        $pdf->Ln();   
        $pdf->SetFont('courier','B',12);        
		$pdf->Cell(17,8,"32",1,0,'C');
		$pdf->Cell(17,8,"34",1,0,'C');
		$pdf->Cell(17,8,"36",1,0,'C');
		$pdf->Cell(17,8,"38",1,0,'C');
		$pdf->Cell(17,8,"40",1,0,'C');
		$pdf->Cell(17,8,"42",1,0,'C');
		$pdf->Cell(17,8,"44",1,0,'C');
		$pdf->Cell(17,8,"46",1,0,'C');
		$pdf->Cell(17,8,"48",1,0,'C');
		$pdf->Cell(17,8,"50",1,0,'C');
		$pdf->Cell(17,8,"52",1,0,'C');

        $pdf->Ln();           
        $pdf->SetFont('courier','',12);        
        $pdf->Cell(17,8, $row['stda'],1,0,'C');                           
        $pdf->Cell(17,8, $row['stqa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['stsa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['stoa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['squa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['sqda'],1,0,'C');                           
        $pdf->Cell(17,8, $row['sqqa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['sqsa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['sqoa'],1,0,'C');                           
        $pdf->Cell(17,8, $row['scia'],1,0,'C');                           
        $pdf->Cell(17,8, $row['scda'],1,0,'C');                           
        
        $pdf->Ln();      
        
        $pdf->SetFont('courier','B',13);  
		$pdf->Cell(34,8,"TOTAL DO PEDIDO",0,0,'L');
        $pdf->Cell(153,8, $row['subtotal'],0,0,'R');         
        $pdf->Ln();           
	}    
	
    $pdf->Output();
?>

